%define upstream_name    B-Utils
%define upstream_version 0.27

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Easily build XS extensions that depend on XS extensions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::Depends) >= 0.302.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
  sub foo {
    dothis(1);
    find_things();
    return;
  }

has the following optree:

 d  <1> leavesub[1 ref] K/REFC,1 ->(end)
 -     <@> lineseq KP ->d
 1        <;> nextstate(main -371 bah.pl:8) v/2 ->2
 5        <1> entersub[t2] vKS/TARG,3 ->6
 -           <1> ex-list K ->5
 2              <0> pushmark s ->3
 3              <$> const[IV 1] sM ->4
 -              <1> ex-rv2cv sK/3 ->-
 4                 <#> gv[*dothis] s ->5
 6        <;> nextstate(main -371 bah.pl:9) v/2 ->7

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.270.0-3.mga6
+ Revision: 1022815
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.270.0-2.mga6
+ Revision: 956808
- Mageia 6 Mass Rebuild

* Thu Jul 23 2015 sander85 <sander85> 0.270.0-1.mga6
+ Revision: 856541
- update to 0.27

* Fri Jun 26 2015 tv <tv> 0.260.0-2.mga6
+ Revision: 844746
- rebuild for soname-ifed perl

* Wed Jun 24 2015 shlomif <shlomif> 0.260.0-1.mga6
+ Revision: 841914
- New version 0.26 + Rebuild for the new perl-5.22.0

* Wed Oct 15 2014 umeabot <umeabot> 0.250.0-4.mga5
+ Revision: 741464
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.250.0-3.mga5
+ Revision: 683592
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.250.0-2.mga5
+ Revision: 630824
- Rebuild for perl 5.20

* Fri Apr 25 2014 jquelin <jquelin> 0.250.0-1.mga5
+ Revision: 617759
- update to 0.25

* Sat Oct 19 2013 umeabot <umeabot> 0.210.0-4.mga4
+ Revision: 524582
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.210.0-3.mga4
+ Revision: 431174
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.210.0-2.mga3
+ Revision: 363339
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 04 2012 jquelin <jquelin> 0.210.0-1.mga3
+ Revision: 254254
- update to 0.21

* Wed May 30 2012 jquelin <jquelin> 0.170.0-2.mga3
+ Revision: 250312
- rebuild for perl 5.16

* Thu Dec 01 2011 kharec <kharec> 0.170.0-1.mga2
+ Revision: 174753
- update to 0.17

* Wed Jun 22 2011 jquelin <jquelin> 0.150.0-1.mga2
+ Revision: 112086
- update to 0.15

* Sat Jun 11 2011 sander85 <sander85> 0.140.0-2.mga2
+ Revision: 103602
- perl 5.14

* Thu Mar 24 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 76853
- adding missing buildrequires:
- update to 0.14

* Tue Feb 22 2011 jquelin <jquelin> 0.130.0-1.mga1
+ Revision: 56286
- adding missing buildrequires:
- update to 0.13

* Sat Jan 22 2011 jquelin <jquelin> 0.110.0-3.mga1
+ Revision: 32728
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.110.0-2.mga1
+ Revision: 29813
- mageia rebuild
- imported package perl-B-Utils

